//Copyright (C)2014-2025 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//Tool Version: V1.9.11.02 (64-bit) 
//Created Time: 2025-05-06 14:39:13
create_clock -name ae350_ahb_clk -period 20 -waveform {0 10} [get_pins {u_Gowin_PLL/u_pll/PLL_inst/CLKOUT2}]
create_clock -name ae350_ddr_clk -period 20 -waveform {0 10} [get_pins {u_Gowin_PLL/u_pll/PLL_inst/CLKOUT0}]
create_clock -name ae350_apb_clk -period 20 -waveform {0 10} [get_pins {u_Gowin_PLL/u_pll/PLL_inst/CLKOUT3}]
create_clock -name spi_w_clk_slv -period 20 -waveform {0 10} [get_nets {u_APB_SPI_Top/u_apb_spi/u_spi_spiif/spi_w_clk_slv}]
create_clock -name spi_clock_inv -period 20 -waveform {0 10} [get_nets {u_APB_SPI_Top/u_apb_spi/u_spi_spiif/spi_clock_inv}]
create_clock -name spi_r_clk -period 20 -waveform {0 10} [get_nets {u_APB_SPI_Top/u_apb_spi/u_spi_spiif/spi_r_clk}]
set_clock_groups -exclusive -group [get_clocks {ae350_ahb_clk}] -group [get_clocks {ae350_apb_clk}] -group [get_clocks {ae350_ddr_clk}] -group [get_clocks {spi_w_clk_slv}]
